<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::scan_fhog_pyramid&lt; Pyramid_type, Feature_extractor_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1scan__fhog__pyramid.html">scan_fhog_pyramid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1scan__fhog__pyramid-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::scan_fhog_pyramid&lt; Pyramid_type, Feature_extractor_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::scan_fhog_pyramid&lt; Pyramid_type, Feature_extractor_type &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1scan__fhog__pyramid.png" usemap="#dlib::scan_5Ffhog_5Fpyramid_3C_20Pyramid_5Ftype_2C_20Feature_5Fextractor_5Ftype_20_3E_map" alt=""/>
  <map id="dlib::scan_5Ffhog_5Fpyramid_3C_20Pyramid_5Ftype_2C_20Feature_5Fextractor_5Ftype_20_3E_map" name="dlib::scan_5Ffhog_5Fpyramid_3C_20Pyramid_5Ftype_2C_20Feature_5Fextractor_5Ftype_20_3E_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,391,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1scan__fhog__pyramid_1_1fhog__filterbank.html">fhog_filterbank</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2029b751c92611eb0a587868d3a9fbdc"><td class="memItemLeft" align="right" valign="top"><a id="a2029b751c92611eb0a587868d3a9fbdc"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:a2029b751c92611eb0a587868d3a9fbdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfbe29da898d507694acf04517517f4d"><td class="memItemLeft" align="right" valign="top"><a id="acfbe29da898d507694acf04517517f4d"></a>
typedef Pyramid_type&#160;</td><td class="memItemRight" valign="bottom"><b>pyramid_type</b></td></tr>
<tr class="separator:acfbe29da898d507694acf04517517f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a803cbda245988958aa427c0642cd2a00"><td class="memItemLeft" align="right" valign="top"><a id="a803cbda245988958aa427c0642cd2a00"></a>
typedef Feature_extractor_type&#160;</td><td class="memItemRight" valign="bottom"><b>feature_extractor_type</b></td></tr>
<tr class="separator:a803cbda245988958aa427c0642cd2a00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a369cd72f1efa55ba99b2ffceb53d8e83"><td class="memItemLeft" align="right" valign="top"><a id="a369cd72f1efa55ba99b2ffceb53d8e83"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>scan_fhog_pyramid</b> (const feature_extractor_type &amp;fe_)</td></tr>
<tr class="separator:a369cd72f1efa55ba99b2ffceb53d8e83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbc09b552ad3d1e4e9dde90ff0134c3"><td class="memTemplParams" colspan="2"><a id="abdbc09b552ad3d1e4e9dde90ff0134c3"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:abdbc09b552ad3d1e4e9dde90ff0134c3"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>load</b> (const image_type &amp;img)</td></tr>
<tr class="separator:abdbc09b552ad3d1e4e9dde90ff0134c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af38faeab95194835c8ce8fd617edde58"><td class="memItemLeft" align="right" valign="top"><a id="af38faeab95194835c8ce8fd617edde58"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_loaded_with_image</b> () const</td></tr>
<tr class="separator:af38faeab95194835c8ce8fd617edde58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad814b998171423bb0009e227dee326e2"><td class="memItemLeft" align="right" valign="top"><a id="ad814b998171423bb0009e227dee326e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_configuration</b> (const <a class="el" href="classdlib_1_1scan__fhog__pyramid.html">scan_fhog_pyramid</a> &amp;item)</td></tr>
<tr class="separator:ad814b998171423bb0009e227dee326e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a1c2665b24d0df8a8a6ab104ccb661d"><td class="memItemLeft" align="right" valign="top"><a id="a1a1c2665b24d0df8a8a6ab104ccb661d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_detection_window_size</b> (unsigned long width, unsigned long height)</td></tr>
<tr class="separator:a1a1c2665b24d0df8a8a6ab104ccb661d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d851d60aaeca0f0a2e6a2e1057ac6fd"><td class="memItemLeft" align="right" valign="top"><a id="a1d851d60aaeca0f0a2e6a2e1057ac6fd"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_detection_window_width</b> () const</td></tr>
<tr class="separator:a1d851d60aaeca0f0a2e6a2e1057ac6fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e86de4c962ff7dcac5d74102417b85"><td class="memItemLeft" align="right" valign="top"><a id="ae1e86de4c962ff7dcac5d74102417b85"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_detection_window_height</b> () const</td></tr>
<tr class="separator:ae1e86de4c962ff7dcac5d74102417b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99b32cf9b4673c596770d0563280a929"><td class="memItemLeft" align="right" valign="top"><a id="a99b32cf9b4673c596770d0563280a929"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_detection_templates</b> () const</td></tr>
<tr class="separator:a99b32cf9b4673c596770d0563280a929"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdecf034fc4963aaaebfe4f1081b489d"><td class="memItemLeft" align="right" valign="top"><a id="acdecf034fc4963aaaebfe4f1081b489d"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_movable_components_per_detection_template</b> () const</td></tr>
<tr class="separator:acdecf034fc4963aaaebfe4f1081b489d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a01afd847cad3accdc1a5f1ff0af4e"><td class="memItemLeft" align="right" valign="top"><a id="a79a01afd847cad3accdc1a5f1ff0af4e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_padding</b> (unsigned long new_padding)</td></tr>
<tr class="separator:a79a01afd847cad3accdc1a5f1ff0af4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f62f5bd94f507a6cbb555c3e34a2c2"><td class="memItemLeft" align="right" valign="top"><a id="a78f62f5bd94f507a6cbb555c3e34a2c2"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_padding</b> () const</td></tr>
<tr class="separator:a78f62f5bd94f507a6cbb555c3e34a2c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d87860267fb05fecde089947aa161f"><td class="memItemLeft" align="right" valign="top"><a id="a31d87860267fb05fecde089947aa161f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cell_size</b> (unsigned long new_cell_size)</td></tr>
<tr class="separator:a31d87860267fb05fecde089947aa161f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d36c82c9c32cbff24d3015e33c3906e"><td class="memItemLeft" align="right" valign="top"><a id="a3d36c82c9c32cbff24d3015e33c3906e"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_cell_size</b> () const</td></tr>
<tr class="separator:a3d36c82c9c32cbff24d3015e33c3906e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288b8f9aa2bc78c6dced4ec4ba1dba3d"><td class="memItemLeft" align="right" valign="top"><a id="a288b8f9aa2bc78c6dced4ec4ba1dba3d"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_dimensions</b> () const</td></tr>
<tr class="separator:a288b8f9aa2bc78c6dced4ec4ba1dba3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe024137e10167ff45adae4e9b28117"><td class="memItemLeft" align="right" valign="top"><a id="a7fe024137e10167ff45adae4e9b28117"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_pyramid_levels</b> () const</td></tr>
<tr class="separator:a7fe024137e10167ff45adae4e9b28117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae50cef93b45574d562ae638c72410281"><td class="memItemLeft" align="right" valign="top"><a id="ae50cef93b45574d562ae638c72410281"></a>
const feature_extractor_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_feature_extractor</b> () const</td></tr>
<tr class="separator:ae50cef93b45574d562ae638c72410281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37cfe2b8c3e19153e9a8b528d458c4b6"><td class="memItemLeft" align="right" valign="top"><a id="a37cfe2b8c3e19153e9a8b528d458c4b6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_pyramid_levels</b> (unsigned long max_levels)</td></tr>
<tr class="separator:a37cfe2b8c3e19153e9a8b528d458c4b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aeb9aa606658a30ff0d6e3f860af6af"><td class="memItemLeft" align="right" valign="top"><a id="a8aeb9aa606658a30ff0d6e3f860af6af"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_min_pyramid_layer_size</b> (unsigned long width, unsigned long height)</td></tr>
<tr class="separator:a8aeb9aa606658a30ff0d6e3f860af6af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed0f0afeb4742f3a0ef747674608939f"><td class="memItemLeft" align="right" valign="top"><a id="aed0f0afeb4742f3a0ef747674608939f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_min_pyramid_layer_width</b> () const</td></tr>
<tr class="separator:aed0f0afeb4742f3a0ef747674608939f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea3629c9f42c4b920e18017c0b4b7c1e"><td class="memItemLeft" align="right" valign="top"><a id="aea3629c9f42c4b920e18017c0b4b7c1e"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_min_pyramid_layer_height</b> () const</td></tr>
<tr class="separator:aea3629c9f42c4b920e18017c0b4b7c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1638122449329330513eb39adfc71f3f"><td class="memItemLeft" align="right" valign="top"><a id="a1638122449329330513eb39adfc71f3f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>detect</b> (const <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;w, std::vector&lt; std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;dets, const double thresh) const</td></tr>
<tr class="separator:a1638122449329330513eb39adfc71f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f81dfc6827e422f41ed44652e23cd1"><td class="memItemLeft" align="right" valign="top"><a id="a58f81dfc6827e422f41ed44652e23cd1"></a>
<a class="el" href="classdlib_1_1scan__fhog__pyramid_1_1fhog__filterbank.html">fhog_filterbank</a>&#160;</td><td class="memItemRight" valign="bottom"><b>build_fhog_filterbank</b> (const <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;weights) const</td></tr>
<tr class="separator:a58f81dfc6827e422f41ed44652e23cd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8da7832ca94454e6d90e328212b3635"><td class="memItemLeft" align="right" valign="top"><a id="aa8da7832ca94454e6d90e328212b3635"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>detect</b> (const <a class="el" href="classdlib_1_1scan__fhog__pyramid_1_1fhog__filterbank.html">fhog_filterbank</a> &amp;w, std::vector&lt; std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;dets, const double thresh) const</td></tr>
<tr class="separator:aa8da7832ca94454e6d90e328212b3635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6a51d619f1deea7d64a7dea6bc4a05e"><td class="memItemLeft" align="right" valign="top"><a id="ad6a51d619f1deea7d64a7dea6bc4a05e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_feature_vector</b> (const <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &amp;obj, <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;psi) const</td></tr>
<tr class="separator:ad6a51d619f1deea7d64a7dea6bc4a05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc1ade9ae14e0006b94de902725cb41"><td class="memItemLeft" align="right" valign="top"><a id="afbc1ade9ae14e0006b94de902725cb41"></a>
<a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_full_object_detection</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, const <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;w) const</td></tr>
<tr class="separator:afbc1ade9ae14e0006b94de902725cb41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c53bfafd6ff11de361aa0d62ad35dd2"><td class="memItemLeft" align="right" valign="top"><a id="a5c53bfafd6ff11de361aa0d62ad35dd2"></a>
const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_best_matching_rect</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect) const</td></tr>
<tr class="separator:a5c53bfafd6ff11de361aa0d62ad35dd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc4834dd4f744ec510a6fe25f675fb44"><td class="memItemLeft" align="right" valign="top"><a id="afc4834dd4f744ec510a6fe25f675fb44"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_nuclear_norm_regularization_strength</b> () const</td></tr>
<tr class="separator:afc4834dd4f744ec510a6fe25f675fb44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c13de44e76ce7a2bced2650f6a365fd"><td class="memItemLeft" align="right" valign="top"><a id="a0c13de44e76ce7a2bced2650f6a365fd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_nuclear_norm_regularization_strength</b> (double strength)</td></tr>
<tr class="separator:a0c13de44e76ce7a2bced2650f6a365fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa32ecd78e4c958d4517cc6a848d8dc"><td class="memItemLeft" align="right" valign="top"><a id="a8aa32ecd78e4c958d4517cc6a848d8dc"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_fhog_window_width</b> () const</td></tr>
<tr class="separator:a8aa32ecd78e4c958d4517cc6a848d8dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fe83b697152fc636543142c818ecda5"><td class="memItemLeft" align="right" valign="top"><a id="a8fe83b697152fc636543142c818ecda5"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_fhog_window_height</b> () const</td></tr>
<tr class="separator:a8fe83b697152fc636543142c818ecda5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a3fd6598c6bd2a2840ba40fb971461618"><td class="memItemLeft" align="right" valign="top"><a id="a3fd6598c6bd2a2840ba40fb971461618"></a>
typedef <a class="el" href="classdlib_1_1array.html">array</a>&lt; <a class="el" href="classdlib_1_1array2d.html">array2d</a>&lt; float &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>fhog_image</b></td></tr>
<tr class="separator:a3fd6598c6bd2a2840ba40fb971461618"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a75a7799c6c0a5376d5f39b1ad6cae406"><td class="memItemLeft" align="right" valign="top"><a id="a75a7799c6c0a5376d5f39b1ad6cae406"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>compute_fhog_window_size</b> (unsigned long &amp;width, unsigned long &amp;height) const</td></tr>
<tr class="separator:a75a7799c6c0a5376d5f39b1ad6cae406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c9a11ea6e88204d376c5dfc342d10b"><td class="memItemLeft" align="right" valign="top"><a id="a06c9a11ea6e88204d376c5dfc342d10b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_mapped_rect_and_metadata</b> (const unsigned long number_pyramid_levels, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;mapped_rect, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;fhog_rect, unsigned long &amp;best_level) const</td></tr>
<tr class="separator:a06c9a11ea6e88204d376c5dfc342d10b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd504b8c784de50f1ddadc9d3ad9f5b6"><td class="memItemLeft" align="right" valign="top"><a id="acd504b8c784de50f1ddadc9d3ad9f5b6"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_match_score</b> (<a class="el" href="classdlib_1_1rectangle.html">rectangle</a> r1, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> r2) const</td></tr>
<tr class="separator:acd504b8c784de50f1ddadc9d3ad9f5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639ea92ae4876cb35681563851803dd0"><td class="memItemLeft" align="right" valign="top"><a id="a639ea92ae4876cb35681563851803dd0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:a639ea92ae4876cb35681563851803dd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a426955410c49c95e2be4bfd7dadfad8a"><td class="memItemLeft" align="right" valign="top"><a id="a426955410c49c95e2be4bfd7dadfad8a"></a>
feature_extractor_type&#160;</td><td class="memItemRight" valign="bottom"><b>fe</b></td></tr>
<tr class="separator:a426955410c49c95e2be4bfd7dadfad8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18bf19b939a6a4095dcef0db0e52933"><td class="memItemLeft" align="right" valign="top"><a id="ad18bf19b939a6a4095dcef0db0e52933"></a>
<a class="el" href="classdlib_1_1array.html">array</a>&lt; <a class="el" href="classdlib_1_1array.html">fhog_image</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feats</b></td></tr>
<tr class="separator:ad18bf19b939a6a4095dcef0db0e52933"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acafb0042e32b0aa04f7f57eb413dfa4d"><td class="memItemLeft" align="right" valign="top"><a id="acafb0042e32b0aa04f7f57eb413dfa4d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>cell_size</b></td></tr>
<tr class="separator:acafb0042e32b0aa04f7f57eb413dfa4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfe976967cbdcb4061738083031b735"><td class="memItemLeft" align="right" valign="top"><a id="adbfe976967cbdcb4061738083031b735"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>padding</b></td></tr>
<tr class="separator:adbfe976967cbdcb4061738083031b735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a591ae6eeed881ee98f7eb28889a8d941"><td class="memItemLeft" align="right" valign="top"><a id="a591ae6eeed881ee98f7eb28889a8d941"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>window_width</b></td></tr>
<tr class="separator:a591ae6eeed881ee98f7eb28889a8d941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9536e4ce7d9fd9124a8d8ac211c4f02"><td class="memItemLeft" align="right" valign="top"><a id="ab9536e4ce7d9fd9124a8d8ac211c4f02"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>window_height</b></td></tr>
<tr class="separator:ab9536e4ce7d9fd9124a8d8ac211c4f02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4dbc4a8206fda110110ea5766bca826"><td class="memItemLeft" align="right" valign="top"><a id="ad4dbc4a8206fda110110ea5766bca826"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_pyramid_levels</b></td></tr>
<tr class="separator:ad4dbc4a8206fda110110ea5766bca826"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55edb634dd63e6b8c1ac76e22adf6f1d"><td class="memItemLeft" align="right" valign="top"><a id="a55edb634dd63e6b8c1ac76e22adf6f1d"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>min_pyramid_layer_width</b></td></tr>
<tr class="separator:a55edb634dd63e6b8c1ac76e22adf6f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8743e6f26522086d925d781494553ca9"><td class="memItemLeft" align="right" valign="top"><a id="a8743e6f26522086d925d781494553ca9"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>min_pyramid_layer_height</b></td></tr>
<tr class="separator:a8743e6f26522086d925d781494553ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf01c1389fb1dfa43d5bdc4698184857"><td class="memItemLeft" align="right" valign="top"><a id="adf01c1389fb1dfa43d5bdc4698184857"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_regularization_strength</b></td></tr>
<tr class="separator:adf01c1389fb1dfa43d5bdc4698184857"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:afb8f1e2ef7f0810f43abf978c3902f6f"><td class="memTemplParams" colspan="2"><a id="afb8f1e2ef7f0810f43abf978c3902f6f"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:afb8f1e2ef7f0810f43abf978c3902f6f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1scan__fhog__pyramid.html">scan_fhog_pyramid</a>&lt; T, U &gt; &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:afb8f1e2ef7f0810f43abf978c3902f6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2960d6a58f593e1130625bd54aeb83f"><td class="memTemplParams" colspan="2"><a id="ae2960d6a58f593e1130625bd54aeb83f"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:ae2960d6a58f593e1130625bd54aeb83f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1scan__fhog__pyramid.html">scan_fhog_pyramid</a>&lt; T, U &gt; &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:ae2960d6a58f593e1130625bd54aeb83f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="scan__fhog__pyramid_8h_source.html">scan_fhog_pyramid.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
